API reference
Notification preferences
2 management API operations for Notification preferences.
GET/v1/me/notification-preferences
Read
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
PUT/v1/me/notification-preferences
Update
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredPreferenceUpdate
| Field | Type | Required | Description |
|---|---|---|---|
activity_email_enabled | boolean | Yes | |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |